# 32/64 specfile
# generated by D.M-Wilhelm (leiche)
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
%define prefix /usr
%define name qnetwalk
%define version 1.4
%define release %mkrel 2
%define url http://qt.osdn.org.ua/qnetwalk.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Puzzles
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	A Qt-version of the popular NetWalk game for system administrators
Summary(de):	Qt-Version des beliebten NetWalk Spiel für Systemadministratoren
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	qt4-devel 
Obsoletes:	%name < %version

%description
QNetwalk is a Qt-based version of the popular NetWalk game for system administrators.

Rules of play:

- You are the system administrator and your goal is to connect each computer to the 
  central server.
- Click the right mouse's button for turning the cable in a clockwise direction, and 
  left mouse's button for turning the cable in a counter-clockwise direction.
- Start the LAN with as few turns as possible!


#german
%description -l de
QNetwalk ist eine Qt-basierte Version des beliebten NetWalk Spiel für Systemadministratoren.

Spielregeln:

- Sie sind der Systemadministrator und Ihr Ziel ist es, jedem Computer auf dem zentralen 
  Server zu verbinden.
- Klicken Sie mit der rechten Maustaste, um das Kabel im Uhrzeigersinn, und 
  mit der linken Maus-Taste um das Kabel gegen den Uhrzeigersinn zu drehen.
- Vwrbinden Sie das LAN mit möglichst wenigen klicks!


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
        --remove-key="Encoding" \
 	--add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/qnetwalk*
%{_datadir}/menu/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/sounds/click.wav
%{_datadir}/%{name}/sounds/connect.wav
%{_datadir}/%{name}/sounds/start.wav
%{_datadir}/%{name}/sounds/turn.wav
%{_datadir}/%{name}/sounds/win.wav
%{_datadir}/%{name}/translations/%{name}_de.qm
%{_datadir}/%{name}/translations/%{name}_es.qm
%{_datadir}/%{name}/translations/%{name}_fr.qm
%{_datadir}/%{name}/translations/%{name}_it.qm
%{_datadir}/%{name}/translations/%{name}_nl.qm
%{_datadir}/%{name}/translations/%{name}_pl.qm
%{_datadir}/%{name}/translations/%{name}_pt_BR.qm
%{_datadir}/%{name}/translations/%{name}_ru.qm
%{_datadir}/%{name}/translations/%{name}_tr.qm
%{_datadir}/%{name}/translations/%{name}_ua.qm
%{_datadir}/%{name}/translations/%{name}_zh_CN.qm


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Mar 26 2013 daniel <meisssw01 at gmail.com> 1.4-2pclos2013
- fix specfile to display proper german description

* Mon Mar 25 2013 daniel <meisssw01 at gmail.com> 1.4-1pclos2013
- initial packages